<link:linkbase
    xmlns:link="http://www.xbrl.org/2003/linkbase"
    xmlns:xlink="http://www.w3.org/1999/xlink"
    >
   <link:labelLink xlink:role="http://www.xbrl.org/2003/role/link" xlink:type="extended">

      <link:loc xlink:href="9845008F599B95980934-2025-12-31.xsd#GrenardiGroup_AvansaMaksājumiParNemateriālajiemIeguldījumiem" xlink:label="GrenardiGroup_AvansaMaksājumiParNemateriālajiemIeguldījumiem" xlink:type="locator"/>
      <link:labelArc order="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="GrenardiGroup_AvansaMaksājumiParNemateriālajiemIeguldījumiem" xlink:to="GrenardiGroup_AvansaMaksājumiParNemateriālajiemIeguldījumiem_lbl" xlink:type="arc"/>
      <link:label id="id_1" xlink:label="GrenardiGroup_AvansaMaksājumiParNemateriālajiemIeguldījumiem_lbl" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xml:lang="lv">Avansa maksājumi par nemateriālajiem ieguldījumiem</link:label>
      <link:label id="id_2" xlink:label="GrenardiGroup_AvansaMaksājumiParNemateriālajiemIeguldījumiem_lbl" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="lv">Avansa maksājumi par nemateriālajiem ieguldījumiem</link:label>

      <link:loc xlink:href="9845008F599B95980934-2025-12-31.xsd#GrenardiGroup_IeņēmumiNoAkcijuEmisijasVaiKapitālaLīdzdalībasDaļuIeguldījumiem" xlink:label="GrenardiGroup_IeņēmumiNoAkcijuEmisijasVaiKapitālaLīdzdalībasDaļuIeguldījumiem" xlink:type="locator"/>
      <link:labelArc order="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="GrenardiGroup_IeņēmumiNoAkcijuEmisijasVaiKapitālaLīdzdalībasDaļuIeguldījumiem" xlink:to="GrenardiGroup_IeņēmumiNoAkcijuEmisijasVaiKapitālaLīdzdalībasDaļuIeguldījumiem_lbl" xlink:type="arc"/>
      <link:label id="id_5" xlink:label="GrenardiGroup_IeņēmumiNoAkcijuEmisijasVaiKapitālaLīdzdalībasDaļuIeguldījumiem_lbl" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xml:lang="lv">Ieņēmumi no akciju emisijas vai kapitāla līdzdalības daļu ieguldījumiem</link:label>
      <link:label id="id_6" xlink:label="GrenardiGroup_IeņēmumiNoAkcijuEmisijasVaiKapitālaLīdzdalībasDaļuIeguldījumiem_lbl" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="lv">Ieņēmumi no akciju emisijas vai kapitāla līdzdalības daļu ieguldījumiem</link:label>

      <link:loc xlink:href="9845008F599B95980934-2025-12-31.xsd#GrenardiGroup_IlgtermiņaIeguldījumiNomātajosPamatlīdzekļos" xlink:label="GrenardiGroup_IlgtermiņaIeguldījumiNomātajosPamatlīdzekļos" xlink:type="locator"/>
      <link:labelArc order="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="GrenardiGroup_IlgtermiņaIeguldījumiNomātajosPamatlīdzekļos" xlink:to="GrenardiGroup_IlgtermiņaIeguldījumiNomātajosPamatlīdzekļos_lbl" xlink:type="arc"/>
      <link:label id="id_9" xlink:label="GrenardiGroup_IlgtermiņaIeguldījumiNomātajosPamatlīdzekļos_lbl" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xml:lang="lv">Ilgtermiņa ieguldījumi nomātajos pamatlīdzekļos</link:label>
      <link:label id="id_10" xlink:label="GrenardiGroup_IlgtermiņaIeguldījumiNomātajosPamatlīdzekļos_lbl" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="lv">Ilgtermiņa ieguldījumi nomātajos pamatlīdzekļos</link:label>

      <link:loc xlink:href="9845008F599B95980934-2025-12-31.xsd#GrenardiGroup_IzslēgtoNemateriāloIeguldījumuUnPamatlīdzekļuKorekcija" xlink:label="GrenardiGroup_IzslēgtoNemateriāloIeguldījumuUnPamatlīdzekļuKorekcija" xlink:type="locator"/>
      <link:labelArc order="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="GrenardiGroup_IzslēgtoNemateriāloIeguldījumuUnPamatlīdzekļuKorekcija" xlink:to="GrenardiGroup_IzslēgtoNemateriāloIeguldījumuUnPamatlīdzekļuKorekcija_lbl" xlink:type="arc"/>
      <link:label id="id_13" xlink:label="GrenardiGroup_IzslēgtoNemateriāloIeguldījumuUnPamatlīdzekļuKorekcija_lbl" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xml:lang="lv">Izslēgto nemateriālo ieguldījumu un pamatlīdzekļu korekcija</link:label>
      <link:label id="id_14" xlink:label="GrenardiGroup_IzslēgtoNemateriāloIeguldījumuUnPamatlīdzekļuKorekcija_lbl" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="lv">Izslēgto nemateriālo ieguldījumu un pamatlīdzekļu korekcija</link:label>

      <link:loc xlink:href="9845008F599B95980934-2025-12-31.xsd#GrenardiGroup_KoncesijasPatentiLicencesPrečuZīmesUnTamlīdzīgasTiesības" xlink:label="GrenardiGroup_KoncesijasPatentiLicencesPrečuZīmesUnTamlīdzīgasTiesības" xlink:type="locator"/>
      <link:labelArc order="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="GrenardiGroup_KoncesijasPatentiLicencesPrečuZīmesUnTamlīdzīgasTiesības" xlink:to="GrenardiGroup_KoncesijasPatentiLicencesPrečuZīmesUnTamlīdzīgasTiesības_lbl" xlink:type="arc"/>
      <link:label id="id_17" xlink:label="GrenardiGroup_KoncesijasPatentiLicencesPrečuZīmesUnTamlīdzīgasTiesības_lbl" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xml:lang="lv">Koncesijas, patenti, licences, preču zīmes un tamlīdzīgas tiesības </link:label>
      <link:label id="id_18" xlink:label="GrenardiGroup_KoncesijasPatentiLicencesPrečuZīmesUnTamlīdzīgasTiesības_lbl" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="lv">Koncesijas, patenti, licences, preču zīmes un tamlīdzīgas tiesības </link:label>

      <link:loc xlink:href="9845008F599B95980934-2025-12-31.xsd#GrenardiGroup_ParādiAsociētajāmSabiedrībām" xlink:label="GrenardiGroup_ParādiAsociētajāmSabiedrībām" xlink:type="locator"/>
      <link:labelArc order="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="GrenardiGroup_ParādiAsociētajāmSabiedrībām" xlink:to="GrenardiGroup_ParādiAsociētajāmSabiedrībām_lbl" xlink:type="arc"/>
      <link:label id="id_21" xlink:label="GrenardiGroup_ParādiAsociētajāmSabiedrībām_lbl" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xml:lang="lv">Parādi asociētajām sabiedrībām</link:label>
      <link:label id="id_22" xlink:label="GrenardiGroup_ParādiAsociētajāmSabiedrībām_lbl" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="lv">Parādi asociētajām sabiedrībām</link:label>

   </link:labelLink>

</link:linkbase>